POST
/backend/{appId}/auth/{backendEnvironmentName}/import
http://amplifybackend.{region}.amazonaws.com/backend/{appId}/auth/{backendEnvironmentName}/importImports an existing backend authentication resource.
Access Token Required: API Key
Path Parameters
appIdstringrequired
The app ID.
backendEnvironmentNamestringrequired
The name of the backend environment.
Body Params
userPoolIdstringrequired
The ID of the Amazon Cognito user pool.
webClientIdstringrequired
The ID of the Amazon Cognito web client.
identityPoolIdstring
The ID of the Amazon Cognito identity pool.
nativeClientIdstringrequired
The ID of the Amazon Cognito native client.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/auth/{backendEnvironmentName}/import' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}